use serde::{Deserialize, Serialize};

/// Trenchbroom map entities (spawned during map loading) must be despawned manually if the server
/// has already despawned it but the client has just loaded the map and connected
#[derive(Clone, Copy, Serialize, Deserialize)]
pub struct DespawnTbMapEntity(pub u64);

#[derive(Clone, Copy, Serialize, Deserialize)]
pub struct AssignClientPlayer(pub u8);
